use maud::{Markup, html};

pub fn multiselect(items: Vec<(String, String)>, name: &str, label: &str) -> Markup {
    html! {
        fieldset x-data="{ data: [] }" class="fieldset" {
            legend class="fieldset-legend" { (label) }
            @for item in items {
                @let value = item.0;
                @let name = item.1;

                label class="label" {
                    input type="checkbox" value=(value) x-model="data" class="checkbox" {}
                    (name)
                }
            }
            input type="hidden" name=(name) x-bind:value="data" {}
        }
    }
}
