use serde::Deserialize;
use sqlx::{PgPool, prelude::FromRow};
use uuid::Uuid;

use crate::models::{Category, Muscle};

#[derive(Debug, FromRow)]
pub struct Exercise {
    pub exercise_id: Uuid,
    pub name: String,
    pub description: String,
}

#[derive(Debug, FromRow)]
pub struct ExerciseFull {
    pub exercise_id: Uuid,
    pub name: String,
    pub description: String,
    pub categories: Vec<Category>,
    pub muscles: Vec<Muscle>,
}

#[derive(sqlx::Type, serde::Deserialize, serde::Serialize, Debug)]
#[sqlx(type_name = "exercise_variant", rename_all = "lowercase")]
pub enum ExerciseVariant {
    Time,
    Number,
    Failure,
}
